# Configuration file for the Sphinx documentation builder.

import os

# -- Project information

# General information about the project.
project = 'DigiClear User Manual'
#copyright = '2023, DigiClear developers'
author = 'Stéphane Guilet, Léandre Elmestour, Mathieu Jeannin'

# The version info for the project you're documenting, acts as replacement for
# |version| and |release|, also used in various other places throughout the
# built documents.
#
# The short X.Y version.
version = '2.0.1'
# The full version, including alpha/beta/rc tags.
release = '4.7xx'


# -- General configuration ------------------------------------------------

# If your documentation needs a minimal Sphinx version, state it here.
#
# needs_sphinx = '1.0'

# Add any Sphinx extension module names here, as strings. They can be
# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom
# ones.
extensions = [
    'sphinx.ext.mathjax',
    'sphinx_tabs.tabs',
    'sphinx_copybutton'
    ]

# Add any paths that contain templates here, relative to this directory.
templates_path = ['_templates']

# The suffix(es) of source filenames.
# You can specify multiple suffix as a list of string:
#
# source_suffix = ['.rst', '.md']
source_suffix = '.rst'

# The master toctree document.
master_doc = 'index'

# The language for content autogenerated by Sphinx. Refer to documentation
# for a list of supported languages.
#
# This is also used if you do content translation via gettext catalogs.
# Usually you set "language" from the command line for these cases.
language = 'en'

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
# This patterns also effect to html_static_path and html_extra_path
exclude_patterns = []

# The name of the Pygments (syntax highlighting) style to use.
pygments_style = 'sphinx'

# If true, `todo` and `todoList` produce output, else they produce nothing.
todo_include_todos = False

# -- Options for HTML output ----------------------------------------------

# The theme to use for HTML and HTML Help pages.  See the documentation for
# a list of builtin themes.
#
#html_theme = 'alabaster'

# on_rtd is whether we are on readthedocs.org
on_rtd = os.environ.get('READTHEDOCS', None) == 'True'
print ("Are we on RTD ? = ", on_rtd)

if on_rtd:  # only import and set the theme if we're building docs locally
    print ("Yes we are on RTD !")
    html_theme = "sphinx_rtd_theme"
else:
    print ("NO we are not on RTD !")
    import sphinx_rtd_theme
    html_theme = "sphinx_rtd_theme"
    html_theme_path = [sphinx_rtd_theme.get_html_theme_path()]

html_logo = "logo_fondblanc.jpg"
# otherwise, readthedocs.org uses their theme by default, so no need to specify it



# Theme options are theme-specific and customize the look and feel of a theme
# further.  For a list of options available for each theme, see the
# documentation.
#
# html_theme_options = {}

# Add any paths that contain custom static files (such as style sheets) here,
# relative to this directory. They are copied after the builtin static files,
# so a file named "default.css" will overwrite the builtin "default.css".
html_static_path = ['_static']


# -- Intersphinx -----------------------------------------------------------

extensions.append('sphinx.ext.intersphinx')

intersphinx_mapping = {
    'python': ('http://docs.python.org/3', None),
}

# -- Date -----

if on_rtd:
    extensions.append('sphinx_last_updated_by_git')

# -- Code tabs -----------

extensions.append('sphinx_tabs.tabs')
sphinx_tabs_disable_tab_closing = True

# -- Clickable images ----------

extensions.append('sphinxcontrib.images')
